<?php

namespace App\Repositories;



use App\Models\ConfigPickupNode;

class ConfigPickupNodeRepository {
    public function __construct(ConfigPickupNode $configPickupNode) {
        $this->configPickupNode = $configPickupNode;
    }
    //列表
    public function index($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : env('PER_PAGE');
        if (isset($request['keyword'])) {
            $this->configPickupNode = $this->configPickupNode
                ->orderBy('id', 'desc')
                ->where('name', 'like', "{$request['keyword']}%");
    }

    return $this->configPickupNode->paginate($perPage);
}
}