<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$api = app('Dingo\Api\Routing\Router');

$api->version('v1', [
    'namespace' => 'App\Http\Controllers',
], function ($api) {
    $api->post('upload', 'UploadController@uploadImage');
    // 自提点列表
    $api->get('/pickupNode/index','ConfigPickupNodeController@index');
    //获取某自提点
    $api->post('/pickupNode/getPickupNode','ConfigPickupNodeController@getPickupNode');

    $api->group(['middleware' => 'jwt.chxq_auth'], function ($api) {

    });
});